[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] Publisher question, feature requirements


> - when a plug-in or feature is included, it is possible to specify a
> filter. The version is however strict.
> - when a plug-in or feature is required, filters are not an option. But
> the version can be a range.
>
> This is too limiting and it can also be hard to comprehend. At least for
> newcomers that don't know the history behind the current design. Are
> there any improvements planned for this?
>


There is a bug
https://bugs.eclipse.org/bugs/show_bug.cgi?id=293715
dealing with filters on the feature entries.  The publisher currently
supports filters on all inclusions/requires, however the editors have
no UI for setting these filters, and would likely drop them if a feature.xml
containing them was opened & saved.

-Andrew